New Gradle 1.0-milestone-6 snapshot available


(Adam Murdoch) #1

A new Gradle 1.0-milestone-6 snapshot is now available. This snapshot contains fixes for a number of regressions found in the previous snapshot.

Milestone 6 contains a nice swag of new features and bug fixes. Have a look at the release notes for details. Also make sure you read the migration guide. Both documents are a work in progress.

Please help us test this snapshot. If no major issues are found over the next few days, we will release this as Gradle 1.0-milestone-6. You can download the distribution, or point your wrapper at gradle-1.0-milestone-6-20111113105934+0100-bin.zip

We’ve made some big improvements in dependency management performance. We rewrote the resolve engine to enable this. We do have an exhaustive integration test suite for this stuff, and we believe these changes work fine, but nevertheless you may run into some regressions in this snapshot. We will fix these regressions before we do the release.


(David M Strickland) #2

I’m seeing issues with build-announce plugin posting to twitter. Worst part is INFO log says successful, but WARN log says failed. New local target is working fine

21:51:45.218 [INFO] [org.gradle.api.plugins.announce.internal.Twitter] Successfully tweeted ‘Gradle is posting to my Twitter account’ using account ‘dstricks’ 21:51:45.456 [WARN] [org.gradle.api.plugins.announce.AnnouncePlugin] Failed to send message ‘Gradle is posting to my Twitter account’ to ‘twitter’ java.io.IOException: Server returned HTTP response code: 401 for URL: https://twitter.com/statuses/update.xml

Full stack trace: http://pastebin.com/SbV8JTc4 Sample project on GitHub: https://github.com/dstricks/gradle-build-announce-problems

Version: ------------------------------------------------------------ Gradle 1.0-milestone-6-20111113105934+0100 ------------------------------------------------------------

Gradle build time: Sunday, 13 November 2011 09:59:34 o’clock UTC Groovy: 1.8.4 Ant: Apache Ant™ version 1.8.2 compiled on December 20 2010 Ivy: 2.2.0 JVM: 1.6.0_27 (Sun Microsystems Inc. 20.2-b06) OS: Linux 2.6.38-8-generic-pae i386


(Adam Murdoch) #3

Thanks for this. I’ve added GRADLE-1926.